Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## drm.core
Class NodeContribution

    java.lang.Object
      |
      +--drm.core.NodeContribution

All Implemented Interfaces:
  java.io.Serializable

public final class NodeContribution
extends java.lang.Object
implements java.io.Serializable

Conatins information about a base. It contains only public final fields and a constructor. The object is unmodifiable after constructing.

See Also:
  Serialized Form

Constructor Summary
`NodeContribution(java.util.Map d, java.util.Set l)` Constructs a contribution.

Method Summary
`java.util.Set` | `getAgents()` Returns the agent names that were on the node when creating this.
`java.util.Map` | `getDescription()` Returns description of node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeContribution

    public NodeContribution(java.util.Map d,
                            java.util.Set l)

  Constructs a contribution. All parameters are (shallow) cloned, this object is thread safe.
  Parameters:
    `d` - Unspecified information about the base in a map, where the keys are strings. If null empty map is used.
    `l` - The collection of agent names who lived on the base at creation time. element type is String. If null empty set is used.

Method Detail

### getDescription

    public java.util.Map getDescription()

  Returns description of node. Key type is String, value type depends on key.

### getAgents

    public java.util.Set getAgents()

  Returns the agent names that were on the node when creating this. Element type is String.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD